PACKAGECONFIG:remove = " man-pages xwayland "
FILESEXTRAPATHS:prepend := "${THISDIR}/files:"

RRECOMMENDS:${PN} = ""
SRC_URI += " file://autostart \ 
             file://init \
             file://environment \
             file://menu.xml \
             file://rc.xml \
             file://wpp.jpg \
            "
do_install:append () {
    install -d ${D}/${sysconfdir}/xdg
    install -d ${D}/${sysconfdir}/init.d
    install -d ${D}/${sysconfdir}/xdg/labwc
    install -m 0755 ${UNPACKDIR}/init ${D}/${sysconfdir}/init.d/labwc
    
    install -m 0755 ${UNPACKDIR}/wpp.jpg ${D}/${sysconfdir}/xdg/labwc/
    install -m 0755 ${UNPACKDIR}/autostart ${D}/${sysconfdir}/xdg/labwc/
    install -m 0755 ${UNPACKDIR}/environment ${D}/${sysconfdir}/xdg/labwc/
    install -m 0755 ${UNPACKDIR}/menu.xml ${D}/${sysconfdir}/xdg/labwc/
    install -m 0755 ${UNPACKDIR}/rc.xml ${D}/${sysconfdir}/xdg/labwc/
    
}

inherit update-rc.d
INITSCRIPT_NAME = "labwc"
INITSCRIPT_PARAMS = "start 9 5 2 . stop 20 0 1 6 ."
